## debsums 2.1.2

=== debian/changelog ===
debsums (2.1.2) unstable; urgency=medium

  * Actually use plain "Testsuite: autopkgtest" instead of only claiming
    to do so plus writing the infrastructure for it.

 -- Axel Beckert <abe@debian.org>  Fri, 03 Jul 2015 13:10:54 +0200

debsums (2.1.1) unstable; urgency=medium

  [ Américo Monteiro ]
  * Updated Portuguese manpage translation. (Closes: #785555)

  [ Axel Beckert ]
  * "Testsuite: autopkgtest-pkg-perl" only works for CPAN-style upstream
    sources. Use plain "Testsuite: autopkgtest" instead.
    + Add debian/tests/control and debian/tests/debsums.
    + Add an lintian override for the pkg-perl-specific lintian warning
      nonteam-testsuite-header.
  * Make sure that the installed package is tested if the test suite is
    run under autopkgtest.

 -- Axel Beckert <abe@debian.org>  Thu, 02 Jul 2015 00:39:06 +0200

debsums (2.1) unstable; urgency=low

  [ Axel Beckert ]
  * Apply wrap-and-sort.
  * Add a (yet incomplete) test suite
    + Add "Testsuite: autopkgtest-pkg-perl" header to debian/control.
    + Add build-dependency on libtest-command-simple-perl and
      libfile-fnmatch-perl.
    + Add a debian/README.source briefly describing how the test suite is
      being used.
  * debian/control (non-test-suite-related changes):
    + Declare compliance with Debian Policy 3.9.6 (no further changes)
    + Add ${perl:Depends} to Depends. Fixes dpkg-gencontrol warning.
  * debian/copyright + debian/lintian-overrides:
    + Update copyright years.
    + Add myself.
    + Convert to machine-readable DEP5 format.
    + Add lintian override for copyright-refers-to-symlink-license.
  * debian/rules + Makefile:
    + Simplify by moving cp, rm and dh_installdocs parameters to
      debian/{install,clean,docs}.
    + Remove now obsolete chmod call.
    + Drop variable usage for values only used once.
    + Move most overridden stuff from debian/rules to Makefile.
    + Drop option --rm-backups from po4a calls, it's a no-op since 0.41
      - Add according version requirement to the po4a build-dependency
  * debsums:
    + Warn if found md5sums file is empty but shouldn't. (Closes: #577197)
    + Broaden character set which is considered a valid version number.
      (Closes: #779626)
    + Simplify parsing of dpkg-{parsechangelog,query} output by using more
      specific options, allowing to drop the calls to grep and cut.
    + Use "use warnings;" instead of "perl -w".
    + Remove superfluous parentheses in foreach loop.
    + Remove obsolete CVS keywords.
    + Quote HERE document delimiters to ease syntax highlighting and
      please perlcritic.
    + Whitespace cleanup, wrapping long lines.
    + Improve code readability by using consistent spacing and indentation.
  * man/debsums.1 + man/po/*.po:
    + Remove mentioning of /etc/apt/apt.conf.d/90debsums (Closes: #737240)
    + Remove obsolete CVS keywords.
    + Replace "the file's md5sum" with "the file's MD5 sum".
  * man/po/de.po: Don't translate fixed terms from debsums' API.
  * man/po/debsums.pot: Replace dummy boilerplate text.
  * rdebsums:
    + Whitespace cleanup.
    + Exit with highest exit code of any of its child debsums processes
      exited. (Closes: #711560)
  * messages.po: Was generated, removed from Git and source package.
  * Fix typo in URL in previous changelog entry.

  [ Andreas Beckmann ]
  * Fix accessing files in the host root filesystem (/) while checking an
    alternate --root and following absolute symlinks.  (Closes: #689202)
    Manually resolve symlinks without escaping the --root directory and open
    the resolved path instead of the original one.

 -- Axel Beckert <abe@debian.org>  Wed, 29 Apr 2015 00:04:17 +0200

=== debian/control ===
Source: debsums
Section: admin
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ryan Niebur <ryan@debian.org>,
           Anders Kaseorg <andersk@mit.edu>,
           Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 8),
               libfile-fnmatch-perl,
               libtest-command-simple-perl,
               po-debconf,
               po4a (>= 0.41)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/debsums.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/debsums.git
Testsuite: autopkgtest

Package: debsums
Architecture: all
Depends: dpkg (>= 1.16.3),
         libdpkg-perl,
         libfile-fnmatch-perl,
         perl (>= 5.8.0-3),
         ucf (>= 0.28),
         ${misc:Depends},
         ${perl:Depends}
Description: tool for verification of installed package files against MD5 checksums
 debsums can verify the integrity of installed package files against
 MD5 checksums installed by the package, or generated from a .deb
 archive.

## debsums 2.2

=== debian/changelog ===
debsums (2.2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * compare diversion owner against architecture-unqualified package name,
    too. (Mitigates: #688295)

  [ Morgan Marquis-Boire ]
  * Add a flag to report the expected and actual checksums of files
    checked. (Closes: #660051)

  [ Axel Beckert ]
  * Add test for new option "-x".
  * Slightly refactor check() to make coding style more consistent.

 -- Axel Beckert <abe@debian.org>  Sat, 21 Jan 2017 21:37:12 +0100

debsums (2.1.3) unstable; urgency=medium

  * Team upload.

  [ Axel Beckert ]
  * debian/README.source: Explain the new version numbering scheme, refers
    to Semantic Versioning (http://semver.org/).
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Bump debhelper compatibility to 9 as recommended.
    + Update versioned debhelper build-dependency accordingly.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Dominique Dumont ]
  * protect against symlink loop (Closes: #822633) (LP: #1522563)

 -- Dominique Dumont <dod@debian.org>  Tue, 15 Nov 2016 07:52:19 +0100

## debsums 2.2.2

=== Makefile ===
all: build

build:
	@echo debsums has nothing to build.

install:
	touch debian/debsums/etc/debsums-ignore
	cd man && po4a po4a.cfg

clean:
	cd man && po4a --no-translations po4a.cfg

test:
	prove -v

determine-coverage:
	cover -delete
	prove --exec 'env PERL5OPT=-MDevel::Cover=-ignore_re,^t/|parsechangelog perl -T' t/*.t

cover: determine-coverage
	cover -report html_basic

=== debian/changelog ===
debsums (2.2.2) unstable; urgency=medium

  [ Axel Beckert ]
  * Don't make ignoring obsolete conffiles default for now. (See #861867
    and #689508 for the discussion.)
  * Regenerate po-files.

  [ Dominique Dumont ]
  * Add code comment to explain why a symlink loop triggers a die.
    (Related to the fix for #822633.)

 -- Axel Beckert <abe@debian.org>  Sun, 07 May 2017 16:05:58 +0200

debsums (2.2.1) unstable; urgency=low

  * Release umodified as 2.2.1 and upload to unstable. Thanks to Andreas
    Beckmann for testing the release candidate!

 -- Axel Beckert <abe@debian.org>  Wed, 03 May 2017 02:49:52 +0200

debsums (2.2.1~rc1) experimental; urgency=low

  * Ignore obsolete conffiles by default (c.f. #689508). Based on patch by
    Andreas Beckmann, but with option to disable the ignoring of obsolete
    conffiles.
  * Regenerate po-files.

 -- Axel Beckert <abe@debian.org>  Sun, 30 Apr 2017 18:14:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: debsums
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: Anders Kaseorg <andersk@mit.edu>,
+           Axel Beckert <abe@debian.org>
 Section: admin
+Testsuite: autopkgtest
 Priority: optional
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Ryan Niebur <ryan@debian.org>,
-           Anders Kaseorg <andersk@mit.edu>,
-           Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                libfile-fnmatch-perl,
                libtest-command-simple-perl,
                po-debconf,
                po4a (>= 0.41)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/debsums.git
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/debsums.git
-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/debsums.git
 
 Package: debsums
 Architecture: all

## debsums 2.2.3

=== debian/changelog ===
debsums (2.2.3) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix typos found Niels Thykier. Thanks!
  * Set "Rules-Requires-Root: no".
  * Remove trailing whitespace from ancient debian/changelog entry.
  * Drop no more needed "Testsuite: autopkgtest" header since
    debian/tests/control exists.
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Stay with compat level 10 until the current stable release supports
      higher levels without backports. Document that in debian/compat
      and debian/control with comments.
  * Update .gitignore to cover all current build artefacts.
  * Also allow half-configured packages to be checked.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Alban Vidal ]
  * French man page translation update. (Closes: #863615)

 -- Axel Beckert <abe@debian.org>  Sat, 14 Jul 2018 23:35:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Uploaders: Anders Kaseorg <andersk@mit.edu>,
            Axel Beckert <abe@debian.org>
 Section: admin
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+### The used debhelper build-dependency (and the debhelper compatibility
+### level) of debsums needs to be supported in stable without backports,
+### i.e. 10 for stretch (and probably 11 for buster)
+Build-Depends: debhelper (>= 10),
                libfile-fnmatch-perl,
                libtest-command-simple-perl,
                po-debconf,
                po4a (>= 0.41)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/debsums.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/debsums.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/debsums
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/debsums.git
+Rules-Requires-Root: no
 
 Package: debsums
 Architecture: all

## debsums 2.2.3+nmu1

=== debian/changelog ===
debsums (2.2.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:16:12 +0800

## debsums 2.2.4

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 clean:
 	cd man && po4a --no-translations po4a.cfg
+	find man -type d -empty -delete
 
 test:
 	prove -v

=== debian/changelog ===
debsums (2.2.4) unstable; urgency=medium

  [ Axel Beckert ]
  * Retroactively mention #913925 in previous changelog entry.
  * Remove all empty subdirectories of man in clean target to avoid
    lintian warning about empty directories in the source package. (They
    don't actually hurt, but they're redundant, too, as they're created as
    needed.)
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)

  [ gregor herrmann ]
  * Add new localepurge paths to is_localepurge_file(). (Closes: #935044)

  [ Américo Monteiro ]
  * Update Portuguese translation of manpage. (Closes: #926620)

 -- Axel Beckert <abe@debian.org>  Mon, 04 Nov 2019 01:46:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Priority: optional
 ### The used debhelper build-dependency (and the debhelper compatibility
 ### level) of debsums needs to be supported in stable without backports,
-### i.e. 10 for stretch (and probably 11 for buster)
-Build-Depends: debhelper (>= 10),
+### i.e. 10 for stretch and 12 for buster
+Build-Depends: debhelper-compat (= 12),
                libfile-fnmatch-perl,
                libtest-command-simple-perl,
                po-debconf,
                po4a (>= 0.41)
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/debsums
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/debsums.git
 Rules-Requires-Root: no

## debsums 2.2.5

=== debian/changelog ===
debsums (2.2.5) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.0.1.

  [ Josh Triplett ]
  * Allow /etc/debsums-ignore to be deleted rather than empty. Fixes MR!1.

  [ Axel Beckert ]
  * Drop old versioned dependency on dpkg already satisfied in Jessie.
  * Drop ancient version restriction of the dependency on perl.
  * Rewrite postinst and postrm to no more handle a conffile removal from
    2012 but to handle the removal of an empty /etc/debsums-ignore, but
    not touch it if already modified: It's not obsolete, but no more
    shipped and no more a conffile.
  * Add NEWS.Debian entry for new /etc/debsums-ignore handling.
  * Fix documentation comment in postrm.

 -- Axel Beckert <abe@debian.org>  Sun, 23 Feb 2020 12:17:25 +0100

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,9 @@
 
 Package: debsums
 Architecture: all
-Depends: dpkg (>= 1.16.3),
-         libdpkg-perl,
+Depends: libdpkg-perl,
          libfile-fnmatch-perl,
-         perl (>= 5.8.0-3),
+         perl,
          ucf (>= 0.28),
          ${misc:Depends},
          ${perl:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# rules for debsums

%:
	dh $@

override_dh_installman:
	dh_installman `find man -type f -name '*.[18]'`

=== debian/tests/control ===
Tests: debsums
Depends: @, libtest-command-simple-perl

## debsums 3.0.0

=== debian/changelog ===
debsums (3.0.0) unstable; urgency=low

  [ Axel Beckert ]
  * Drop debsums_init functionality. dpkg generates missing md5sums files
    upon package installation since 2012, see #944965.
    + This is a potentially breaking change, so bump major version to 3.
    + Remove debsums_init and related entries from debian/install,
      man/po4a.cfg, man/debsums.1, man/po/debsums.pot, .gitignore,
      debian/dirs, and all po files.
    + Partially resolves #944965.
  * Also drop documentation how to generate md5sums files from README.
  * Update tests from ADTTMP to AUTOPKGTEST_TMP. Thanks gregoa!

  [ gregor herrmann ]
  * Add new localepurge path /usr/share/X11/locale/$LOCALE.

 -- Axel Beckert <abe@debian.org>  Sat, 23 May 2020 00:00:32 +0200

## debsums 3.0.1

=== debian/changelog ===
debsums (3.0.1) unstable; urgency=low

  * Add bash-completion by Thomas Reuben, but replace calls to the
    duplicated _comp_dpkg_installed_packages function with "$(_xfunc dpkg
    _comp_dpkg_installed_packages "$cur")". (Closes: #969388)
    + Add build-dependency on bash-completion and also suggest it.
    + debian/rules: Call "dh" with "--with bash-completion"
  * Update regenerated .po files.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Mon, 07 Dec 2020 05:08:50 +0100

## debsums 3.0.2

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 	@echo debsums has nothing to build.
 
 install:
-	touch debian/debsums/etc/debsums-ignore
 	cd man && po4a po4a.cfg
 
 clean:

=== debian/changelog ===
debsums (3.0.2) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Updated German man page translation. (Closes: #977679)

 -- Axel Beckert <abe@debian.org>  Mon, 15 Feb 2021 05:28:07 +0100

## debsums 3.0.2.1

=== debian/changelog ===
debsums (3.0.2.1) unstable; urgency=medium

  [ Florian Schlichting ]
  * Ignore conffiles marked remove-on-upgrade (Closes: #993714, #1035483)

 -- Axel Beckert <abe@debian.org>  Mon, 08 May 2023 03:02:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 ### The used debhelper build-dependency (and the debhelper compatibility
 ### level) of debsums needs to be supported in stable without backports,
 ### i.e. 10 for stretch and 12 for buster
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: bash-completion,
+               debhelper-compat (= 12),
                libfile-fnmatch-perl,
                libtest-command-simple-perl,
                po-debconf,
                po4a (>= 0.41)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/debsums
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/debsums.git
 Rules-Requires-Root: no
@@ -25,6 +26,7 @@
          ucf (>= 0.28),
          ${misc:Depends},
          ${perl:Depends}
+Suggests: bash-completion
 Description: tool for verification of installed package files against MD5 checksums
  debsums can verify the integrity of installed package files against
  MD5 checksums installed by the package, or generated from a .deb

## debsums 3.0.2.2

=== debian/changelog ===
debsums (3.0.2.2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since Stretch:
    + Build-Depends: Drop versioned constraint on po4a.

  [ gregor herrmann ]
  * Remove unused ucf from Depends.
    Thanks to David (Plasma) Paul for the bug report. (Closes: #998110)
  * Bump debhelper-compat to 13.
  * Drop unneeded unversioned 'perl' from Depends.
  * Annotate test-only build dependencies with <!nocheck>.
  * Remove unused po-debconf from Build-Depends.
  * Refresh lintian override.

  [ Axel Beckert ]
  * Add a TODO file with some things to improve.

  [ gregor herrmann ]
  * Update Portuguese translation of manpage.
    Thanks to Américo Monteiro. (Closes: #1000795)
  * Fix symlink loop detection.
    Only remember symlinks, not all paths, for detecting duplicates.
    Thanks to Peter Jakobi for the bug report and the patch. (Closes: #964776)
  * Drop "--generate=keep" option from manpage.
    Thanks to Ben Harris for the bug report. (Closes: #1063470)
    Also
    + Update manpage translations.
    + Adjust --help ouptput for "--generate" option to manpage.

  [ Erich E. Hoover ]
  * Allow checksums on character devices.
    This allows checksums on flash partitions (such as /dev/mtdX).

  [ gregor herrmann ]
  * Add Romanian manpage translation.
    Thanks: Remus-Gabriel Chelu. (Closes: #1101166)
  * Drop postinst, which targeted updates from oldoldstable.
    Thanks: lintian.
  * Simplify reference to GPL-2+ in debian/copyright.
    Thanks: lintian.
  * Declare compliance with Debian Policy 4.7.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Apr 2025 01:14:41 +0200

## debsums 3.0.2.3

=== debian/changelog ===
debsums (3.0.2.3) unstable; urgency=medium

  * Team upload.
  * Update the Brazilian Portuguese translation.
    Thanks to Jonas Henrique Faes de Almeida.
    (Closes: #1105062)
  * Convert man/pt_BR/addendum.pt_BR from Latin-1 to UTF-8.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 May 2025 21:35:24 +0200

=== debian/control ===
Source: debsums
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Anders Kaseorg <andersk@mit.edu>,
           Axel Beckert <abe@debian.org>
Section: admin
Priority: optional
# The used debhelper build-dependency (and the debhelper compatibility
# level) of debsums needs to be supported in stable without backports,
# i.e. 10 for stretch, 12 for buster, 13 for bullseye
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               libfile-fnmatch-perl <!nocheck>,
               libtest-command-simple-perl <!nocheck>,
               po4a
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/debsums
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/debsums.git
Rules-Requires-Root: no

Package: debsums
Architecture: all
Depends: libdpkg-perl,
         libfile-fnmatch-perl,
         ${misc:Depends},
         ${perl:Depends}
Suggests: bash-completion
Description: tool for verification of installed package files against MD5 checksums
 debsums can verify the integrity of installed package files against
 MD5 checksums installed by the package, or generated from a .deb
 archive.

=== debian/rules ===
#!/usr/bin/make -f

# rules for debsums

%:
	dh $@ --with bash-completion

override_dh_installman:
	dh_installman `find man -type f -name '*.[18]'`
